Bug 78530 - CDROM drive to add to blacklist... Also VIA chipset to add to quirks
Summary: CDROM drive to add to blacklist... Also VIA chipset to add to quirks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 08:08 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-11-25 08:08:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021016

Description of problem:
I have a CDROM drive that shows up as in /proc/ide/hdc/model as "CD-R/RW
RW7063A" which should be included in the ide-dma.c blacklist.  In fact, there
needs to be a better way to add things to the blacklist such as a config option.

The same goes for the pci_quirks file.  I'm using the VIA 694X chipset
which has the same quirk as most other VIA chipsets, namely the vsfx quirk. 
This chipset should be added to the list.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the CDROM or use a PCI TV card
2.
3.
	

Additional info:

Comment 1 Alan Cox 2002-11-25 12:14:37 UTC
I need a precise description of how both fail first. I want to be sure what is
going on since the 694X should not be needing those, and the CD ought to work.


Comment 2 Need Real Name 2002-11-25 19:26:44 UTC
The failure for the CD shows up when writing to a CD-R.  The failure is that the
write command waits for the data transfer to complete, but it never completes. 
I have added the CDROM to the blacklist and then the write command works.  The
CD rom will read correctly when using the IDE driver, but will not work when
using the SCSI-IDE driver that is required for CD-Rs.

For the VIA 694X chipset, the problem came about because of the PCTV PCI card I
was using would lock up the entire system (I needed to press the reset button,
thank god for ext3) whenever the video was in OVERLAY mode when running xawtv. 
I read the documentation for xawtv and it mentioned that overlay mode requires
direct PCI to PCI data transfer and that some chipsets have quirks in this area
so you might have to specify the vsfx flag or some other flag.  These are
supposed to be handled automatically in the pci_quirks file, but the 694X
doesn't seem to be detected as having the quirk.  I, instead, specified the
vsfx=1 flag as an option to the bttv driver and things worked.

Comment 3 Bugzilla owner 2004-09-30 15:40:14 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.